Subject: Re: [mpls] [Bier] [bier] The first nibble issue associated with MPLS encapsulation
From: Loa Andersson <[email-masked]>
To: Stewart Bryant <[email-masked]>, "Nagendra Kumar Nainar (naikumar)" <[email-masked]>, Eric C Rosen <[email-masked]>, Alexander Vainshtein <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Fri, 15 Apr 2016 10:53:34 +0800
List-Id: Multi-Protocol Label Switching WG <mpls.ietf.org>

Stewart,

On 2016-04-15 03:36, Stewart Bryant wrote:
>
>
> On 14/04/2016 16:11, Loa Andersson wrote:
>>
>>
>> /Loa
>>
>> On 2016-04-14 22:41, Nagendra Kumar Nainar (naikumar) wrote:
>>> Hi,
>>>
>>> Per IANA registry, 0-1 are ³Reserved² and so is not strictly assigned
>>> with
>>> PW. Something like a modified CW beneath LSE?. Further, BIER is
>>> hop-by-hop
>>> lookup based. So I think we don¹t need to include this always.
>>> Instead, we
>>> could conditionally include this, if the next BFR is tunneled (not
>>> directly connected).
>>>
>>> The receiving node will use the label to identify the payload/FEC. So I
>>> think, the presence of modified CW should not confuse it with PW.
>
> Not quite Loa.
>
> It could be an Ethernet PW with no CW.

Yes - you are right, how much of a problem is this in a P node? Any 
value, except 4 and 6, will stop the P node from doing ECMP/Load
Sharing, right? A P node will never look for the control word.

So an Ethernet PW that carries the same value in the first nibble that
we specify for bier will be treated the same way as a bier packet.
This does not effect the bier packets, and is the right way to treat
the PW.

So where do we have the problem?

BIER would be in the clear, as it will carry any value but 4 or 6
in the first nibble, right?
PWs with control word will have 0 (or 1) and not be effected by a
P node that are doing ECMP/Load Sharing.
Ethernet PWs without control word might have any value in the first
nibble, if there is 4 or 6 a P node might to ECMP/Load Sharing.

It seems to me that specifying the first nibble in a bier packet
would be good, for the time being I don't care if we say 0 or 5.

If there are problems with Ethernet PWs without control word, this
has to be solved in the context of PWs.

/Loa
>
> Stewart